1966 Brabham-Repco BT20 v1.6 Now Available!

Discussion in 'News & Notifications' started by 88mphTim, Feb 27, 2015.

  1. 88mphTim

    88mphTim Staff Member

    Joined:
    Sep 23, 2010
    Messages:
    10,725
    Likes Received:
    124
    Since we initially released the Brabham BT20 for our users, Sir Jack Brabham unfortunately passed away. We wish his family the best, and once again thank them for allowing us to include this car and “Jack Brabham” himself in our simulation. We’re delighted to also have “Denny Hulme” joining him to truly represent their era as opponents for you to drive as, or against.


    In 1966 Jack Brabham finished on the podium in Mexico using the BT20, winning the Drivers Championship. Meanwhile, Denny Hulme raced the car for most of the season, finishing on the podium four times and cementing the team victory in the Constructors Championship. The car was also used by the team in 1967, with one points finish for Brabham and three for Hulme, including a victory at Monaco.


    Please uninstall the current version of the car you may have, then download the Brabham-Repco BT20 v1.6 rfcmp and install it.


    Need help driving? Check out the ‘technique’ section on the BT20 profile page.


    What’s different? Check out the changelog below!

    NEWS ITEM WITH SCREENSHOTS: http://rfactor.net/web/2015/02/27/1966-brabham-repco-bt20-v1-6-now-available/


     
    chisco85 likes this.
  2. clockit

    clockit Registered

    Joined:
    Oct 11, 2010
    Messages:
    126
    Likes Received:
    0
    Awesome!
     
  3. Jamie Shorting

    Jamie Shorting Registered

    Joined:
    Sep 11, 2013
    Messages:
    2,628
    Likes Received:
    1
  4. MarcG

    MarcG Member

    Joined:
    Oct 4, 2010
    Messages:
    6,340
    Likes Received:
    1,640
    Thanks ISI :)
     
  5. Guimengo

    Guimengo Guest

    1.60 is great :).
    It feels much more like the description and comments about the real, being nimble and drivable but possibly twitchy due to the weight and wheelbase.
     
  6. Marc Collins

    Marc Collins Registered

    Joined:
    Jan 11, 2012
    Messages:
    3,168
    Likes Received:
    161
    I am going to try to not be my usual impatient self and wait for this to show-up in my Launcher car list. When/how long should that occur? Auto-update to 930 went perfectly last time and I'd like to see if the content also works.
     
  7. Damian Baldi

    Damian Baldi Registered

    Joined:
    Jan 10, 2012
    Messages:
    551
    Likes Received:
    192
    great news ! How much I love these kind of cars. The screenshots looks so so good. I will try it later today. Thanks to all the ISI team.
     
    Last edited by a moderator: Feb 27, 2015
  8. 88mphTim

    88mphTim Staff Member

    Joined:
    Sep 23, 2010
    Messages:
    10,725
    Likes Received:
    124
    At this time the engineer hasn't made a way for me to do the launcher link adding myself yet. He had the link first, so whenever he does it. Auto updating I now do myself.
     
  9. felirrari

    felirrari Registered

    Joined:
    Oct 10, 2014
    Messages:
    97
    Likes Received:
    48
    Thanks ISI!
     
  10. TechAde

    TechAde Registered

    Joined:
    Oct 13, 2010
    Messages:
    603
    Likes Received:
    36
  11. Lgel

    Lgel Registered

    Joined:
    Jun 24, 2014
    Messages:
    1,210
    Likes Received:
    286
    Thanks ISI for the new version, the car and driver looks much better, and this is one of my prefered car in RF2.

    Had no time yet to test on track.

    For all of you using your own teams or Tim' skinpack in a new packaged version, they won't work as is with the new car, (as was the case with the Nissan GTR were the names of the upgrade file and cams were changed without any need).

    ISI has changed BT20_cam.cam to BT20.cam, and a genstring is required GenString=0102 in veh files.

    So before packing a new version with your teams, change all your veh files.

    Cheers.
     
    Last edited by a moderator: Feb 27, 2015
  12. Axe

    Axe Registered

    Joined:
    Jan 29, 2012
    Messages:
    153
    Likes Received:
    1
    please help
    when I uninstall old multicmp it damages eve and spark multicmp - cmp DFV 1.48 not found
    old vehicle cmp I am unable to uninstall separately - in use by one mod (I am sure it is that multicmp)
    when I uninstall old multi then install new vehicle and again install old multi to repair eve and sparks DFVs, both version old and new vehicle sit in the vehicle "folder"
    so how to properly uninstall old version and install the new one?
     
  13. privatebrian

    privatebrian Registered

    Joined:
    Jan 30, 2012
    Messages:
    598
    Likes Received:
    12
    Thankyou ISI, Tim.:)
     
  14. 88mphTim

    88mphTim Staff Member

    Joined:
    Sep 23, 2010
    Messages:
    10,725
    Likes Received:
    124
    I assume you have the VERY OLD 1960s mod installed, not the individual EVE, individual Spark and individual Brabham. :)
     
  15. Marc Collins

    Marc Collins Registered

    Joined:
    Jan 11, 2012
    Messages:
    3,168
    Likes Received:
    161
    Yes, please clarify precisely what current mod(s) or component(s) should be uninstalled prior to installing the new one. ISI_Brabham_BT20_1966 (v.1.49) causes the problem described above. Interestingly, the three items inside are all v.1.48. I have the ISI_EVE_Historics_1968 (v.1.49) and ISI_Spark_Historics_1968 (v.1.49) installed.
     
  16. Marc Collins

    Marc Collins Registered

    Joined:
    Jan 11, 2012
    Messages:
    3,168
    Likes Received:
    161
    Don't think so, but what is the old one called, since the Mod Manager is a mess to try to actually find something?
     
  17. Axe

    Axe Registered

    Joined:
    Jan 29, 2012
    Messages:
    153
    Likes Received:
    1
    1.49, the same on download page
     
    Last edited by a moderator: Feb 27, 2015
  18. 88mphTim

    88mphTim Staff Member

    Joined:
    Sep 23, 2010
    Messages:
    10,725
    Likes Received:
    124
    It's the only other thing called ISI Brabham.
     
  19. Marc Collins

    Marc Collins Registered

    Joined:
    Jan 11, 2012
    Messages:
    3,168
    Likes Received:
    161
    We're talking about the VERY OLD 1960's mod in case that was causing the problem shown above. The Brabham 1.49 is easy to find because it starts with "ISI_".
     
  20. nextacyn

    nextacyn Registered

    Joined:
    Feb 15, 2015
    Messages:
    25
    Likes Received:
    3
    Thanks ISI !
     

Share This Page